## util-linux 2.32

=== debian/changelog ===
util-linux (2.32-0.2) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * Take over /bin/su from login/src:shadow (See #833256)
    - depends on new login package (rather than breaking old) as an
      attempt to fool apt into unpacking things in the right order.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 18 Jun 2018 21:26:40 +0200

util-linux (2.32-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ Ben Hutchings ]
  * debian/control: Remove mention of minimum kernel version for rfkill

  [ Laurent Bigonville ]
  * New upstream release.
    - Drop all the patches merged upstream
  * debian/libfdisk1.symbols: Add new exported symbols

 -- Laurent Bigonville <bigon@debian.org>  Thu, 10 May 2018 17:22:53 +0200

util-linux (2.31.1-0.5) unstable; urgency=medium

  * Non-maintainer upload.

  [ Laurent Bigonville ]
  * debian/rules: Enable SMACK support for libmount
  * Enable audit support (Closes: #745771)

  [ Salvatore Bonaccorso ]
  * bash-completion: (umount) use findmnt, escape a space in paths.
    (CVE-2018-7738)
    Fixes "code execution in bash-completion for umount". (Closes: #892179)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 06 Mar 2018 22:31:39 +0100
