## util-linux 2.33

=== debian/changelog ===
util-linux (2.33-0.2.0nosystemd1) nosystemd; urgency=medium

  * nosystemd 

 -- anticapitalista <antix@operamail.com>  Sat, 08 Dec 2018 11:19:34 +0200

util-linux (2.33-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Make tests non-fatal on alpha and arm*
  * Breaks/Replaces bash-completion < 2.8 (Closes: #913412)
  * Enable bindnow hardening
  * Add Build-Depends-Package to debian/*.symbols
  * Add debian/patches/uuid-service-documentation.patch
  * Add debian/patches/fstrim-service-documentation.patch
  * Add d/p/agetty-Return-old-behavior-with-empty-logname.patch

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 07 Dec 2018 10:56:50 +0100

util-linux (2.33-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Ship new choom(1) command in util-linux pkg
  * Add debian/patches/fix-agetty-hurd.patch.
    Thanks to Samuel Thibault for fixing this upstream.
  * Update symbols files with new additions
  * Bump shlibs for new symbols
  * Add lintian override because su really needs suid bit
  * Drop unused lintian overrides
  * Ship adjtime_config(5) manpage in util-linux

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 06 Nov 2018 22:17:06 +0100

util-linux (2.32.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Niels Thykier ]
  * Declare the explicit requirement for (fake)root

  [ Hideki Yamane ]
  * Add fincore and blkzone command (Closes: #907391)

  [ Andreas Henriksson ]
  * Drop obsolete Breaks against cloud-utils
  * debian/rules: Avoid hardcoding list of packages for bash-completions
  * Merge setpriv into util-linux package

  [ Stefano Zacchiroli ]
  * debian/util-linux.README.Debian: Add information about the fstrim.timer

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 06 Nov 2018 20:53:01 +0100

util-linux (2.32.1-0.1) unstable; urgency=medium

  [ Kapil Hari Paranjape ]
  * Mention the su-l pam config keyinit revoke in NEWS (Closes: #905710)

  [ Andreas Henriksson ]
  * Mention DISPLAY and XAUTHORITY in util-linux.NEWS (Closes: #905409)
  * New upstream release.
  * Drop fix-hurd.patch from upstream, now part of release

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 12 Aug 2018 07:11:02 +0200

util-linux (2.32-0.4) unstable; urgency=medium

  * Non-maintainer upload (greetings from DebCamp/DebConf Taiwan).
  * ci: Add GitLab CI definition for package build/test runs
  * Add NEWS entry for /bin/su takeover
  * Bump util-linux Breaks/Replaces against bash-completion (Closes: #905303)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 03 Aug 2018 10:55:29 +0200

util-linux (2.32-0.3) unstable; urgency=medium

  * Non-maintainer upload (greetings from DebCamp/DebConf Taiwan).

  [ Andreas Henriksson ]
  * Revert "Disable pristine-tar"
    - needs pristine-tar >= 1.43
  * Install su(1) manpage (Closes: #904837)
  * Actually install su and su-l pam configs (Closes: #904832)

  [ Samuel Thibault ]
  * Add patches from upstream that should fix build on hurd
    - debian/patches/fix-hurd.patch (Closes: #891812)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 28 Jul 2018 20:21:05 +0200

util-linux (2.32-0.2) unstable; urgency=medium

  * Non-maintainer upload (greetings from DebCamp/DebConf Taiwan).

  [ Laurent Bigonville ]
  * debian/libfdisk1.shlibs: Bump shlibs version as well

  [ Andreas Henriksson ]
  * Mark rfkill as linux-any in debian/control
  * Demote rfkill package to optional again
  * Mark util-linux-locales as M-A foreign
    - as suggested by Multiarch hinter on tracker.debian.org
  * Take over /bin/su from login/src:shadow (See #833256)
    - depends on new login package (rather than breaking old) as an
      attempt to make apt unpack new u-l before new login to avoid
      any gaps where /bin/su is not available.
      The Depends/Breaks relationship between u-l and login can
      be switched around (in both packages at the same time) once
      the transition is fully done (after next stable or lts release).

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 27 Jul 2018 10:01:46 +0200
