=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
 Maintainer: LaMont Jones <lamont@debian.org>
 Uploaders: Adam Conrad <adconrad@0c3.net>
 Standards-Version: 4.1.2
+Rules-Requires-Root: binary-targets
 Vcs-Browser: https://salsa.debian.org/debian/util-linux
 Vcs-Git: https://salsa.debian.org/debian/util-linux.git
 
@@ -36,18 +37,19 @@
 Pre-Depends: ${misc:Pre-Depends}, ${shlibs:Depends}
 Depends: ${misc:Depends}, fdisk, login (>= 1:4.5-1.1~)
 Suggests: dosfstools, kbd | console-tools, util-linux-locales
-Replaces: bash-completion (<< 1:2.1-4.1~),
+Replaces: bash-completion (<< 1:2.8),
           sysvinit-utils (<< 2.88dsf-59.1~),
           initscripts (<< 2.88dsf-59.2~),
           mount (<< 2.29.2-3~),
           s390-tools (<< 2.2.0-1~),
-	  login (<< 1:4.5-1.1~)
-Breaks: bash-completion (<< 1:2.1-4.1~),
+          login (<< 1:4.5-1.1~),
+          setpriv (<< 2.32.1-0.2~)
+Breaks: bash-completion (<< 1:2.8),
           grml-debootstrap (<< 0.68),
-          cloud-utils (<< 0.27-1~),
           sysvinit-utils (<< 2.88dsf-59.4~),
           mount (<< 2.29.2-3~),
-          s390-tools (<< 2.2.0-1~)
+          s390-tools (<< 2.2.0-1~),
+          setpriv (<< 2.32.1-0.2~)
 Multi-Arch: foreign
 Description: miscellaneous system utilities
  This package contains a number of important utilities, most of which
@@ -63,6 +65,7 @@
 Priority: optional
 Depends: util-linux (>= ${source:Upstream-Version}), ${misc:Depends}
 Replaces: util-linux (<< 2.11b)
+Multi-Arch: foreign
 Description: locales files for util-linux
  This package contains the internationalization files for the util-linux
  package.
@@ -341,8 +344,3 @@
  The libuuid library generates and parses 128-bit Universally Unique IDs
  (UUIDs). See RFC 4122 for more information.
  .
- This is a minimal package for debian-installer.
-
-Package: uuid-dev
-Architecture: any
-Section: libdevel
