=== debian/rules ===
--- 
+++ 
@@ -41,6 +41,14 @@
 CONFOPTS += --disable-col --disable-colcrt --disable-colrm --disable-column
 CONFOPTS += --disable-ul
 CONFOPTS += --disable-cal
+
+# Get the list of binary package, except lib* and *-udeb, from
+# debian/control instead of hardcoding the list when installing
+# bash-completions below.
+BINARYPACKAGES := $(shell awk '/^Package: /{if($$2 !~ /^lib|-udeb$$/) print $$2}' $(CURDIR)/debian/control )
+
+# hardening
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 %:
 	dh $@
@@ -89,7 +97,7 @@
 	dh_install --remaining-packages
 	#
 	# Install bash-completions only for binaries we ship
-	for PACKAGE in util-linux uuid-runtime bsdutils mount; do \
+	for PACKAGE in $(BINARYPACKAGES) ; do \
 	for BINARY in debian/$$PACKAGE/bin/* debian/$$PACKAGE/sbin/* \
 			debian/$$PACKAGE/usr/bin/* \
 			debian/$$PACKAGE/usr/sbin/* ; \
@@ -138,6 +146,8 @@
 override_dh_installpam:
 	dh_installpam --package=util-linux --name=runuser
 	dh_installpam --package=util-linux --name=runuser-l
+	dh_installpam --package=util-linux --name=su
+	dh_installpam --package=util-linux --name=su-l
 
 override_dh_makeshlibs:
 	dh_makeshlibs \
@@ -164,9 +174,13 @@
 endif
 
 override_dh_auto_test:
-ifeq ($(DEB_HOST_ARCH_OS), linux)
+ifneq (,$(filter alpha armel armhf arm64,$(DEB_HOST_ARCH)))
+	@echo "WARNING: Making tests non-fatal because of arch $(DEB_HOST_ARCH)"
+	dh_auto_test --max-parallel=1 || true
+else ifeq ($(DEB_HOST_ARCH_OS), linux)
 	dh_auto_test --max-parallel=1
 else
+	@echo "WARNING: non-linux detected, making tests non-fatal."
 	dh_auto_test --max-parallel=1 || true
 endif
