=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%.xz$%.sign%, decompress" \
	https://www.kernel.org/pub/linux/utils/util-linux/v([\.\d]+)/util-linux-([\.\d]+)\.tar\.xz
