## util-linux 2.34

=== debian/changelog ===
util-linux (2.34-0.1ubuntu9.6) focal-security; urgency=medium

  * SECURITY UPDATE: Improper neutralization of escape sequences in wall
    - debian/rules: build with --disable-use-tty-group to properly remove
      setgid bit from both wall and write.
    - CVE-2024-28085

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 09 Apr 2024 11:34:13 -0400

util-linux (2.34-0.1ubuntu9.5) focal-security; urgency=medium

  * SECURITY UPDATE: Improper neutralization of escape sequences in wall
    - debian/patches/CVE-2024-28085-pre1.patch: correctly handle wide
      characters in include/carefulputc.h, login-utils/last.c,
      term-utils/write.c, libsmartcols/src/fput.c.
    - debian/patches/CVE-2024-28085-pre2.patch: convert homebrew buffering
      to open_memstream() in term-utils/wall.c.
    - debian/patches/CVE-2024-28085-pre3.patch: use fputs_careful() in
      include/carefulputc.h, login-utils/last.c, term-utils/wall.c,
      term-utils/write.c.
    - debian/patches/CVE-2024-28085.patch: consolidate output on the
      terminal in term-utils/wall.c.
    - CVE-2024-28085

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 22 Mar 2024 08:37:10 -0400

util-linux (2.34-0.1ubuntu9.4) focal; urgency=medium

  * Fix false atari partition detection (LP: #2015355):
    - Backport upstream patches to fix atari partition detection in libblkid:
      + debian/patches/libblkid-fix-Atari-prober-logic.patch
      + debian/patches/libblkid-make-Atari-more-robust.patch
    - Backport upstream patches to fix atari tests:
      + debian/patches/tests-update-atari-partx-tests.patch
      + debian/patches/tests-update-atari-blkid-tests.patch
      + debian/source/include-binaries: Track changes that are not
        representable in quilt patch.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Tue, 30 May 2023 11:42:35 -0400

util-linux (2.34-0.1ubuntu9.3) focal-security; urgency=medium

  * SECURITY UPDATE: Unauthorized unmount of FUSE filesystems belonging to
    users with similar uid
    - debian/patches/CVE-2021-3995-1.patch: make sure mem2strcpy() buffer
      is zeroized in include/strutils.h.
    - debian/patches/CVE-2021-3995-2.patch: fix UID check for FUSE umount
      in libmount/src/context_umount.c, libmount/src/mountP.h,
      libmount/src/optstr.c.
    - CVE-2021-3995
  * SECURITY UPDATE: Unauthorized unmount in util-linux's libmount
    - debian/patches/CVE-2021-3996-1.patch: remove support for deleted
      mount table entries in libmount/src/tab_parse.c.
    - debian/patches/CVE-2021-3996-2.patch: update mountinfo files
      in tests/*.
    - CVE-2021-3996

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 07 Feb 2022 08:33:35 -0500

util-linux (2.34-0.1ubuntu9.1) focal; urgency=medium

  * d/p/rename_fix_regression_for_symlink_with_non-existing_target.patch
    - rename: fix regression for symlink with non-existing target
      (LP: #1886300)

 -- Seyeong Kim <seyeong.kim@canonical.com>  Tue, 21 Jul 2020 16:49:28 +0900

util-linux (2.34-0.1ubuntu9) focal; urgency=medium

  * d/p/hwclock-make-glibc-2.31-compatible.patch: fix hwclock
    for settimeofday(2) changes in glibc 2.31. (LP: #1870316)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Thu, 02 Apr 2020 12:29:40 -0300

util-linux (2.34-0.1ubuntu8) focal; urgency=medium

  * hwclock: fix audit exit status (LP: #1865504)

 -- Joy Latten <joy.latten@canonical.com>  Thu, 05 Mar 2020 11:23:23 -0600

util-linux (2.34-0.1ubuntu7) focal; urgency=medium

  * d/p/lsblk-force-to-print-PKNAME-for-partition.patch: fix regression
    that lsblk doesn't print PKNAME column for partitions (LP: #1862846)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Thu, 20 Feb 2020 11:09:29 -0300

util-linux (2.34-0.1ubuntu6) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:20:58 +0000

util-linux (2.34-0.1ubuntu5) focal; urgency=medium

  * d/p/libblkid-xfs-log-check-for-reg-xfs-on-more-sectors.patch:
    fix ambivalent detection of bcache and xfs_external_log
    due to regular xfs on bcache backing device. (LP: #1858802)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Wed, 08 Jan 2020 16:03:19 -0300

util-linux (2.34-0.1ubuntu4) focal; urgency=medium

  * bash-completion/umount: fix completion to not require gawk be present.
    Thanks to Étienne Mollier for the patch. (LP: #1845529)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 03 Dec 2019 15:27:13 -0500

util-linux (2.34-0.1ubuntu3) focal; urgency=medium

  * Drop dependency from util-linux to fdisk.  The transition to split-out
    fdisk was done before 18.04 so the transitional dependency is no longer
    needed, and fdisk should not be pulled into the essential package set
    since it's not needed in container environments.  For bootable systems
    which need fdisk, it will be pulled in directly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Nov 2019 13:40:12 -0800

util-linux (2.34-0.1ubuntu2) eoan; urgency=medium

  * d/p/prevent-fstrim-inside-container.patch:
    - Prevent fstrim to run inside a container environment.
    (LP: #1589289)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 21 Aug 2019 13:19:03 +0000

util-linux (2.34-0.1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and hwclock.default, recent kernels sync the
      RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Clean up weekly fstrim cron file, now a systemd timer unit.
    - Update s390-tools breaks/replaces, to the correct version for ubuntu.

