=== debian/control ===
--- 
+++ 
@@ -19,12 +19,14 @@
                socat <!stage1 !nocheck>,
                systemd [linux-any] <!stage1>,
                bison,
-               zlib1g-dev
+               zlib1g-dev,
+               libaudit-dev
 Section: base
 Priority: required
-Maintainer: LaMont Jones <lamont@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LaMont Jones <lamont@debian.org>
 Uploaders: Adam Conrad <adconrad@0c3.net>
-Standards-Version: 4.1.2
+Standards-Version: 4.4.0
 Rules-Requires-Root: binary-targets
 Vcs-Browser: https://salsa.debian.org/debian/util-linux
 Vcs-Git: https://salsa.debian.org/debian/util-linux.git
@@ -35,7 +37,7 @@
 Section: utils
 Essential: yes
 Pre-Depends: ${misc:Pre-Depends}, ${shlibs:Depends}
-Depends: ${misc:Depends}, fdisk, login (>= 1:4.5-1.1~)
+Depends: ${misc:Depends}, login (>= 1:4.5-1.1~)
 Suggests: dosfstools, kbd | console-tools, util-linux-locales
 Replaces: bash-completion (<< 1:2.8),
           sysvinit-utils (<< 2.88dsf-59.1~),
@@ -79,7 +81,7 @@
 XB-Important: yes
 Section: admin
 Pre-Depends: ${misc:Pre-Depends}, ${shlibs:Depends}
-Depends: ${misc:Depends}, util-linux (>= 2.29.2-3~)
+Depends: ${misc:Depends}, util-linux (>= 2.30.1-0ubuntu4~)
 Suggests: nfs-common (>=1:1.1.0-13)
 Breaks: bash-completion (<< 1:2.1-4.3~)
 Replaces: bash-completion (<< 1:2.1-4.3~)
@@ -112,8 +114,8 @@
 Priority: important
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: util-linux (<< 2.29.2-3~)
-Breaks: util-linux (<< 2.29.2-3~)
+Replaces: util-linux (<< 2.30.1-0ubuntu4~)
+Breaks: util-linux (<< 2.30.1-0ubuntu4~)
 Multi-Arch: foreign
 Description: collection of partitioning utilities
  This package contains the classic fdisk, sfdisk and cfdisk partitioning
@@ -341,6 +343,3 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Package-Type: udeb
 Description: stripped down Universally Unique ID library, for debian-installer
- The libuuid library generates and parses 128-bit Universally Unique IDs
- (UUIDs). See RFC 4122 for more information.
- .
