=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 CONFOPTS += --with-selinux
 CONFOPTS += --with-smack
 CONFOPTS += --enable-partx
+CONFOPTS += --with-audit
 ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	CONFOPTS += --without-systemd --without-udev --without-audit
 else
@@ -26,6 +27,8 @@
 CONFOPTS += --without-python
 
 # disable utilities shipped by other packages
+# => hardlink
+CONFOPTS += --disable-hardlink
 # => login
 CONFOPTS += --disable-login
 CONFOPTS += --disable-nologin
@@ -41,6 +44,10 @@
 CONFOPTS += --disable-col --disable-colcrt --disable-colrm --disable-column
 CONFOPTS += --disable-ul
 CONFOPTS += --disable-cal
+
+
+# Reduce setgid programs (cf. CVE-2024-28085)
+CONFOPTS += --disable-use-tty-group
 
 # Get the list of binary package, except lib* and *-udeb, from
 # debian/control instead of hardcoding the list when installing
@@ -132,9 +139,9 @@
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 ifeq (,$(findstring s390,$(DEB_HOST_ARCH)))
 	# install /etc/init.d/hwclock.sh
-	dh_installinit --name=hwclock.sh --no-start
-	# install /etc/default/hwclock
-	dh_installinit --name=hwclock
+	# - update-rc.d manually handled in maintainers scripts as there
+	#   is special per-arch considerations.
+	dh_installinit --name=hwclock.sh --noscripts
 endif
 endif
 	# install uuidd sysvinit script
@@ -142,6 +149,7 @@
 	ln -s ../misc-utils/uuidd.rc debian/uuid-runtime.uuidd.init
 	dh_installinit --name=uuidd --restart-after-upgrade
 	rm -f debian/uuid-runtime.uuidd.init
+	dh_installsystemd --package=util-linux fstrim.timer
 
 override_dh_installpam:
 	dh_installpam --package=util-linux --name=runuser
